ComponentListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Interface ComponentListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  AWTEventMulticaster, ComponentAdapter

    public interface ComponentListener

extends EventListener

The listener interface for receiving component events. The class that is interested in processing a component event either implements this interface (and all the methods it contains) or extends the abstract `ComponentAdapter` class (overriding only the methods of interest). The listener object created from that class is then registered with a component using the component's `addComponentListener` method. When the component's size, location, or visibility changes, the relevant method in the listener object is invoked, and the `ComponentEvent` is passed to it.

Component events are provided for notification purposes ONLY; The AWT will automatically handle component moves and resizes internally so that GUI layout works properly regardless of whether a program registers a `ComponentListener` or not.

Since:
  1.1
Version:
  1.15 01/23/03
Author:
  Carl Quinn
See Also:
  `ComponentAdapter`, `ComponentEvent`, Tutorial: Writing a Component Listener, Reference: The Java Class Libraries (update file)

Method Summary
`void` | `componentHidden(ComponentEvent e)` Invoked when the component has been made invisible.
`void` | `componentMoved(ComponentEvent e)` Invoked when the component's position changes.
`void` | `componentResized(ComponentEvent e)` Invoked when the component's size changes.
`void` | `componentShown(ComponentEvent e)` Invoked when the component has been made visible.

Method Detail

### componentResized

    void componentResized(ComponentEvent e)

  Invoked when the component's size changes.

### componentMoved

    void componentMoved(ComponentEvent e)

  Invoked when the component's position changes.

### componentShown

    void componentShown(ComponentEvent e)

  Invoked when the component has been made visible.

### componentHidden

    void componentHidden(ComponentEvent e)

  Invoked when the component has been made invisible.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD